# $Revision: 1.11 $, $Date: 2009/06/21 08:24:52 $
%define		_modname	uploadprogress
%define		_status		stable
Summary:	%{_modname} - An extension to track progress of a file upload
Summary(pl.UTF-8):	%{_modname} - rozszerzenie do śledzenia postępu przesyłania pliku
Name:		php-pecl-%{_modname}
Version:	1.0.1
Release:	1.slc6
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	a6b144fbde8235c5fdee6f1b34a14302
URL:		http://pecl.php.net/package/uploadprogress/
BuildRequires:	php-devel > 5.2.0
%{?requires_php_extension}
Requires:	php-common > 5.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An extension to track progress of a file upload.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Rozszerzenie do śledzenia postępu przesyłania pliku na serwer.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/php.d

%{__make} install \
	-C %{_modname}-%{version} \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{_libdir}/php/modules/
cat <<'EOF' > $RPM_BUILD_ROOT/etc/php.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/examples
%config(noreplace) %verify(not md5 mtime size) /etc/php.d/%{_modname}.ini
%attr(755,root,root) %{_libdir}/php/modules/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-uploadprogress.spec,v $
Revision 1.11  2009/06/21 08:24:52  adamg
- updated to 1.0.1

Revision 1.10  2009/04/26 17:17:17  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.9  2009/03/16 09:43:57  duddits
- up to 1.0.0

Revision 1.8  2009/02/01 18:39:49  adamg
- package examples; release 2

Revision 1.7  2009/01/23 18:32:21  adamg
- updated to 0.9.2

Revision 1.6  2008/08/31 10:32:30  adamg
- updated to 0.9.1

Revision 1.5  2008/07/19 09:26:20  adamg
- updated to 0.9.0

Revision 1.4  2008-02-12 15:43:10  glen
- package .ini file; rel 1

Revision 1.3  2007-05-24 22:48:19  qboosh
- added md5, fixed URL

Revision 1.2  2007/05/24 22:46:34  qboosh
- pl

Revision 1.1  2007/05/17 13:40:48  spider
- init
